# Wavelet

Wavelet analysis is being widely used in different fields for signal processing to increase efficiency and flexibility. A wavelet library has been a standard component in many simulation programs. However; wavelet analysis has not yet been included in Modelica as a standard component. To fill this blank; a comprehensive wavelet library has been developed for Modelica. This library includes fifteen commonly used wavelet families. It can carry out continuous transform; forward and inverse discrete transforms; and multi-level decomposition and reconstruction in one-dimensional space. In addition; special application tools for multi-resolution analysis and wavelet denoising are provided. Moreover; some examples are given to provide the users a quick start point to build up their own algorithms. This library was programmed and tested according to the Modelica language specification 3.2 under the Dymola platform version 2013. The test results prove the functionalities of the library.

The library was presented at the 14th International Modelica Conference (https://modelica.org/events/modelica2014/proceedings/html/sessions/session_libraries.html).
Detailed explanations of the concept can be found in the paper: https://doi.org/10.3384/ecp140961123

## Download

Download the  [latest development version](../../archive/master.zip) as presented at the Modelica 2014 Conference.

## License
The library is licensed under the Modelica License 2.
This Modelica package is free software and the use is completely at your own risk; it can be redistributed and/or modified under the terms of the Modelica license 2, see the license conditions (including the disclaimer of warranty) at http://www.Modelica.org/licenses/ModelicaLicense2.

## Development and contribution
Original developers:
 * Jianbo Gao: Technische Universitaet Muenchen, Munich, Germany
 * Yang Ji: German Aerospace Center, Wessling, Germany
 * Johann Bals: German Aerospace Center, Wessling, Germany
 * Ralph Kennel: Technische Universitaet Muenchen, Munich, Germany

You may report any issues by using the [Issue Tracker](../../issues) though currently development on this library is stalled. Feel free to fork and continue the development.
